Package picard.vcf

## Enum VcfToIntervalList.VARIANT_ID_TYPES

- java.lang.Object
- - java.lang.Enum<VcfToIntervalList.VARIANT_ID_TYPES>
  - - picard.vcf.VcfToIntervalList.VARIANT_ID_TYPES

- All Implemented Interfaces:
    `Serializable`, `Comparable<VcfToIntervalList.VARIANT_ID_TYPES>`
  Enclosing class:
    VcfToIntervalList

      public static enum VcfToIntervalList.VARIANT_ID_TYPES
      extends Enum<VcfToIntervalList.VARIANT_ID_TYPES>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONCAT_ALL` |
    `USE_FIRST` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VcfToIntervalList.VARIANT_ID_TYPES` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VcfToIntervalList.VARIANT_ID_TYPES[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONCAT_ALL

          public static final VcfToIntervalList.VARIANT_ID_TYPES CONCAT_ALL

    - #### USE_FIRST

          public static final VcfToIntervalList.VARIANT_ID_TYPES USE_FIRST

  - ### Method Detail

    - #### values

          public static VcfToIntervalList.VARIANT_ID_TYPES[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VcfToIntervalList.VARIANT_ID_TYPES c : VcfToIntervalList.VARIANT_ID_TYPES.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VcfToIntervalList.VARIANT_ID_TYPES valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null